#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>

#include <iostream.h>

#include "netio.h"
#include "cdf.h"
#include "DAS.h"
#include "cdfdas.h"

// These are used as the return values for print_type().

const char STRING[]="String";
const char BYTE[]="Byte";
const char INT32[]="Int32";
const char FLOAT64[]="Float64";

// Used by ErrMsgT

extern char Msgt[255];

/****************************************************************************
  This routine returns the length in bytes of the standard CDF types
****************************************************************************/
int
cdfTypeLen(long cdfType)

{
	if (cdfType == CDF_BYTE || 
		cdfType == CDF_CHAR || cdfType == CDF_UCHAR ||
		cdfType == CDF_INT1 || cdfType == CDF_UINT1)
	  return 1;

	if (cdfType == CDF_INT2 || cdfType == CDF_UINT2)
	  return 2;

	if (cdfType == CDF_INT4 || cdfType == CDF_UINT4 ||
		cdfType == CDF_REAL4 || cdfType == CDF_FLOAT)
	  return 4;

	if (cdfType == CDF_REAL8 || cdfType == CDF_DOUBLE || 
		cdfType == CDF_EPOCH)
	  return 8;
}

/****************************************************************************
  This routine returns the length in bytes of the standard CDF types
****************************************************************************/
const char *
cdfToDodsType(long cdfType)
{
	if (cdfType == CDF_BYTE)
	  return BYTE;

	if (cdfType == CDF_CHAR || cdfType == CDF_UCHAR)
	  return STRING;

	if (cdfType == CDF_INT1 || cdfType == CDF_UINT1 || 
		cdfType == CDF_INT2 || cdfType == CDF_UINT2 || 
		cdfType == CDF_INT4 || cdfType == CDF_UINT4)
	  return INT32;

	if (cdfType == CDF_REAL4 || cdfType == CDF_FLOAT || 
		cdfType == CDF_REAL8 || cdfType == CDF_DOUBLE || cdfType == CDF_EPOCH)
	  return FLOAT64;
}



